#pragma once

#include "turn.h"

#include <maps/libs/geolib/include/vector.h>

namespace maps {
namespace wiki {
namespace signals_graph {

std::vector<Turn> clusterTurns(std::vector<Turn>& turns);

std::vector<Turn> clusterClusters(std::vector<Turn>& turns);

} // namespace maps
} // namespace wiki
} // namespace signals_graph
